import { Box, Text } from "@chakra-ui/react";
import { getRoles } from "@/app/lib/role/action";
import RolesTable from "./components/table";
import { SearchParamProps } from "@/types/searchParams";

const List = async ({ searchParams }: SearchParamProps) => {
  const roles = await getRoles({ ...searchParams });

  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      {roles && <RolesTable roles={roles?.data} />}
    </Box>
  );
};

export default List;
